Subject: bug#55669: closed (Re: bug#55669: python-peachpy is broken)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 27 May 2022 22:06:01 +0000

Your bug report

#55669: python-peachpy is broken

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55669: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55669
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55669: python-peachpy is broken
From: Ludovic Courtès <[email-masked]>
To: Sebastian Gibb <[email-masked]>
Cc: [email-masked]
Date: Sat, 28 May 2022 00:04:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Sebastian Gibb <[email-masked]> skribis:

> the python-peachpy package fails to build in the current available version
> python-peachpy-0.2.0-1.906d578, see
> http://ci.guix.gnu.org/build/851814/details

Apparently breakage occured in the
f5fe0082abe4547f3fb9f29d8351473cfb3a387b..e5e0e283ffd92f153303401c39dfcc1d8dde4f96
commit range, which saw many package updates.

> Please find the error message below. While I don't understand python I believe
> the problem is fixed upstream with the following commit:
> https://github.com/Maratyszcza/PeachPy/commit/eaa2eaef5e4f00bc61d0bc9dafbfda13518c7c57
>
> It would be great if the python-peachpy package could be updated to the latest
> upstream version.

Note that you can do that with, say:

  guix install python-pytorch --with-branch=python-peachpy=master

Fixed in 36fde042af0f420ee3a385062612b2a2c2f2f7c5.

Thanks for reporting the issue,
Ludo’.

Subject: python-peachpy is broken
From: Sebastian Gibb <[email-masked]>
To: [email-masked]
Date: Fri, 27 May 2022 07:24:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

the python-peachpy package fails to build in the current available version
python-peachpy-0.2.0-1.906d578, see
http://ci.guix.gnu.org/build/851814/details

Please find the error message below. While I don't understand python I believe
the problem is fixed upstream with the following commit:
https://github.com/Maratyszcza/PeachPy/commit/eaa2eaef5e4f00bc61d0bc9dafbfda13518c7c57

It would be great if the python-peachpy package could be updated to the latest
upstream version.

Thanks in advance,

Sebastian

---
[...]
running "python setup.py" with command "build" and parameters ()
running build
running generate
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "setup.py", line 50, in <module>
    setup(
  File "/gnu/store/w0g4h4qilvi99ypg9kn9j3sw0qv4lmsc-python-setuptools-62.0.0/lib/python3.9/site-packages/setuptools/__init__.py", line 87, in setup
    return distutils.core.setup(**attrs)
  File "/gnu/store/w0g4h4qilvi99ypg9kn9j3sw0qv4lmsc-python-setuptools-62.0.0/lib/python3.9/site-packages/setuptools/_distutils/core.py", line 148, in setup
    return run_commands(dist)
  File "/gnu/store/w0g4h4qilvi99ypg9kn9j3sw0qv4lmsc-python-setuptools-62.0.0/lib/python3.9/site-packages/setuptools/_distutils/core.py", line 163, in run_commands
    dist.run_commands()
  File "/gnu/store/w0g4h4qilvi99ypg9kn9j3sw0qv4lmsc-python-setuptools-62.0.0/lib/python3.9/site-packages/setuptools/_distutils/dist.py", line 967, in run_commands
    self.run_command(cmd)
  File "/gnu/store/w0g4h4qilvi99ypg9kn9j3sw0qv4lmsc-python-setuptools-62.0.0/lib/python3.9/site-packages/setuptools/dist.py", line 1214, in run_command
    super().run_command(command)
  File "/gnu/store/w0g4h4qilvi99ypg9kn9j3sw0qv4lmsc-python-setuptools-62.0.0/lib/python3.9/site-packages/setuptools/_distutils/dist.py", line 986, in run_command
    cmd_obj.run()
  File "setup.py", line 17, in run
    self.run_command("generate")
  File "/gnu/store/w0g4h4qilvi99ypg9kn9j3sw0qv4lmsc-python-setuptools-62.0.0/lib/python3.9/site-packages/setuptools/_distutils/cmd.py", line 313, in run_command
    self.distribution.run_command(command)
  File "/gnu/store/w0g4h4qilvi99ypg9kn9j3sw0qv4lmsc-python-setuptools-62.0.0/lib/python3.9/site-packages/setuptools/dist.py", line 1214, in run_command
    super().run_command(command)
  File "/gnu/store/w0g4h4qilvi99ypg9kn9j3sw0qv4lmsc-python-setuptools-62.0.0/lib/python3.9/site-packages/setuptools/_distutils/dist.py", line 986, in run_command
    cmd_obj.run()
  File "setup.py", line 41, in run
    src_dir = os.path.abspath(self.distribution.package_dir[""])
KeyError: ''
[...]
---